Jack2 1.9.12

Functions | Variables
Controlling error/information output

## Functions
void | jack_set_error_function (void(*func)(const char *)) JACK_OPTIONAL_WEAK_EXPORT
void | jack_set_info_function (void(*func)(const char *)) JACK_OPTIONAL_WEAK_EXPORT

## Variables
void(* | jack_error_callback )(const char *msg) JACK_OPTIONAL_WEAK_EXPORT
void(* | jack_info_callback )(const char *msg) JACK_OPTIONAL_WEAK_EXPORT

## Detailed Description

## Function Documentation

## ◆ jack_set_error_function()

void jack_set_error_function | ( | void(*)(const char *) | func | ) |

Set the jack_error_callback for error message display. Set it to NULL to restore default_jack_error_callback function.

The JACK library provides two built-in callbacks for this purpose: default_jack_error_callback() and silent_jack_error_callback().

## ◆ jack_set_info_function()

void jack_set_info_function | ( | void(*)(const char *) | func | ) |

Set the jack_info_callback for info message display. Set it to NULL to restore default_jack_info_callback function.

The JACK library provides two built-in callbacks for this purpose: default_jack_info_callback() and silent_jack_info_callback().

## Variable Documentation

## ◆ jack_error_callback

void(* jack_error_callback) (const char *msg) JACK_OPTIONAL_WEAK_EXPORT

Display JACK error message.

Set via jack_set_error_function(), otherwise a JACK-provided default will print msg (plus a newline) to stderr.

Parameters

  msg | error message text (no newline at end).

Definition at line 136 of file JackError.cpp.

## ◆ jack_info_callback

void(* jack_info_callback) (const char *msg) JACK_OPTIONAL_WEAK_EXPORT

Display JACK info message.

Set via jack_set_info_function(), otherwise a JACK-provided default will print msg (plus a newline) to stdout.

Parameters

  msg | info message text (no newline at end).

Definition at line 137 of file JackError.cpp.